#include <SmoothServo.h> // Подключение библиотеки <SmoothServo.h> для работы с сервоприводами

#define SHLAGBAUM_DOWN 50 // Назначение угла поворота вала сервопривода, при котором шлагбаум опущен

SmoothServo* shlagbaum; // Инициализация сервопривода и присвоение ему имени shlagbaum

void setup() {
Board::vertor_STM(); // Объявление типа используемого контроллера - vertor_STM

shlagbaum = new SmoothServo(0); // Указание номера штыря, к которому подключен сервопривод shlagbaum
                                        
shlagbaum->setMinAngularSpeed(70); // Установка минимальной угловой скорости поворота вала сервопривода shlagbaum
shlagbaum->setMaxAngularSpeed(180); // Установка максимальной угловой скорости поворота вала сервопривода shlagbaum
  
shlagbaum->begin(30); // Команда на запуск работы с сервоприводом shlagbaum
}

void loop() {
shlagbaum->smoothRotate(SHLAGBAUM_DOWN); // Команда на плавный поворот вала серводвигателя shlagbaum в положение SHLAGBAUM_DOWN градусов
delay(1000); // Ожидание 1 с.
}
